=== debian/changelog ===
ilmbase (2.3.0-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:15 +0100

ilmbase (2.3.0-6) unstable; urgency=medium

  * Upload to unstable
  * debian/: debhelper bump 11 -> 12
  * debian/control: S-V bump 4.3.0 -> 4.4.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 02 Sep 2019 14:32:22 +0200

ilmbase (2.3.0-5) experimental; urgency=medium

  * debian/overrides: Update libilmbase24
  * debian/control: Provide a clean upgrade path. Closes: #917457

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 Jan 2019 21:41:21 +0100

ilmbase (2.3.0-4) experimental; urgency=medium

  * debian/control: SONAME bump 23 -> 24 to reflect libtool numbering
  * debian/: filenames adapted to SONAME bump
  * debian/: debhelper bump 9 -> 12
  * debian/rules: drop autoreconf addon removed
  * debian/control: S-V bump 4.2.1 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 02 Jan 2019 10:31:10 +0100

ilmbase (2.3.0-3) experimental; urgency=medium

  * Revert "debian/: move libilmbase-dev to M-A"
  * debian/: Remove arch specific from one header file

 -- Mathieu Malaterre <malat@debian.org>  Fri, 09 Nov 2018 10:07:49 +0100

ilmbase (2.3.0-2) experimental; urgency=medium

  * debian/patches/: patchset updated
    - fix_FTCBFS.patch added (Closes: #841439)
  * debian/: changes made to fix FTCBFS
    - control: autoconf-archive and dh-autoreconf added to b-deps
    - rules: override_dh_autoreconf entry and dh addon added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 27 Oct 2018 22:45:50 +0200

ilmbase (2.3.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: watch file and signing key updated
    - debian/patches/: patchset updated
      - bug843594.patch dropped (applied upstream)
    - debian/rules: rename README -> README.md
  * debian/: debhelper bump 9 -> 11
  * debian/: move libilmbase-dev to M-A (Closes: #841444)
  * debian/control:
    - Vcs-* fields updated for salsa
    - S-V bump 4.1.3 -> 4.2.1 (no changes needed)
  * debian/copyright: http:// -> https:// for copyright-format
  * debian/overrides/libilmbase23: override updated
  * debian/watch: add PGP verification for upstream tarballs

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 22 Oct 2018 23:33:22 +0200
