=== debian/control ===
Source: ilmbase
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Mathieu Malaterre <malat@debian.org>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 autoconf-archive,
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1)
Standards-Version: 4.4.0
Homepage: http://www.openexr.com
Vcs-Git: https://salsa.debian.org/debian-phototools-team/ilmbase.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/ilmbase

Package: libilmbase24
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Replaces: libilmbase23 (>= 2.3)
Breaks: libilmbase23 (>= 2.3)
Description: several utility libraries from ILM used by OpenEXR
 IlmBase are a set of utility libraries released by ILM, and used in
 their OpenEXR implementation. Included in this package you can find:
 .
  * libHalf: a class (Half) for manipulating "half" values (16-bit
    floating point format) as if they were a built-in C++ data type.
 .
  * libIlmThread: a thread abstraction library on top of pthreads.
 .
  * libImath: a math library with support for matrices, 2d- and
    3d-transformations, solvers for linear/quadratic/cubic equations,
    and more.
 .
  * libIex: an exception handling library.

Package: libilmbase-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libilmbase24 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Replaces: libopenexr-dev (<< 1.6)
Breaks: libopenexr-dev (<< 1.6)
Description: development files for IlmBase
 This package provides the development files for IlmBase, a set of
 utility libraries released by ILM and used by OpenEXR. Install this
 package if you want to compile a program that makes use of these
 libraries.
