## ilmbase 2.5.3

=== debian/changelog ===
ilmbase (2.5.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 21 Aug 2020 22:17:44 +0200

ilmbase (2.5.3-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 14 Aug 2020 20:33:12 +0200

ilmbase (2.5.2-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 17:28:50 +0200

ilmbase (2.5.1-1) experimental; urgency=medium

  * New upstream release
    - debian/: SONAME bump 24 -> 25
    - debian/patches/: patchset updated against v2.5.1
  * debian/watch: upstream URL updated
  * debian/control:
    - debhelper bump 12 -> 13
    - S-V bump 4.4.0 -> 4.5.0 (no changes needed)
    - RRR set
    - build-depends updated
  * debian/copyright: file path updated
  * debian/libilmbase-dev.install: cmake helpers added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 21 May 2020 20:56:51 +0200
