=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Mathieu Malaterre <malat@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- autoconf-archive,
- debhelper-compat (= 12),
+ cmake,
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/ilmbase.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/ilmbase
 
-Package: libilmbase24
+Package: libilmbase25
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -44,7 +45,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libilmbase24 (= ${binary:Version}),
+ libilmbase25 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends:
